<?php

declare(strict_types=1);

namespace Gls\GlsPoland\Configuration\Orders;

interface PersistentConfigurationInterface extends ConfigurationInterface
{
    public function asNonPersistent(): ConfigurationInterface;

    public function save(ConfigurationInterface $configuration);
}
